class Building 
{
    constructor( engine , x , z , type )
    {
        this.engine = engine;
        this.x = x;
        this.z = z;
        this.type = type;
    }

    delete()
    {
        shadowMap.removeObject( this.model );
        water.removeObject( this.model );
        this.model.delete();
    }

    draw()
    {
        this.model.draw();
    }
}